Skip to main content

Create the Wallet for the Customer

POST/v2/customers/{customerId}/wallet
API version
v2
Request method
POST
Operation ID
customer-create-wallet

Request​

  • customerIdstringrequired
    Example:"edefeee4-e8e9-4e2d-ab95-9a2eb6104cfb"

Responses​

Format
application/json
Description

The Wallet has been created.

  • customerIdstring
Content-Type: application/json

{
"customerId": "edefeee4-e8e9-4e2d-ab95-9a2eb6104cfb"
}
{
"properties": {
"customerId": {
"example": "edefeee4-e8e9-4e2d-ab95-9a2eb6104cfb",
"type": "string"
}
},
"type": "object"
}

Usage examples​

$ curl \
--fail \
--location \
-X POST \
-d '{}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/customers/string/wallet
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.customer.createWallet({
"customerId": "string",
"data": {}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Customer\CreateWallet\CreateWalletRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Customer\CreateWallet\CreateWalletRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// CreateWalletRequestBody to learn how to construct a valid instance
$body = new CreateWalletRequestBody(/* TODO: ... */);

$request = (new CreateWalletRequest(
customerId: "string",
body: $body
));
$response = $client->customer()->createWallet($request);

var_dump($response->getBody();

On this page